# CIN Verification

The purpose of the CIN verification is to confirm the accuracy of company and director information provided by the merchant and mitigate the risk of fraud for payment processors. It also helps to ensure that the merchant has the necessary legal status and approvals to operate a business.

### Submit Document

#### ind\_mca

`POST` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_mca`

Post parameters description is given below:

| Post Parameter | Type   | Is Mandatory | Description     |
| -------------- | ------ | ------------ | --------------- |
| `cin_number`   | String | Yes          | Your CIN Number |

**Sample Post Parameters**

```json
{
  "cin_number": "U51504RJ2021PTC076451"
}
```

200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "296709e6-1e22-49c7-8958-45b6cc25b0df",
  "status": "completed",
  "result": {
    "company_name": "DISCOUNT MART PRIVATE LIMITED",
    "cin": "U51504RJ2021PTC076451",
    "registered_address": "D-115, G-2, Sheetal residency,   Mangalam City Hathoj, Jaipur, Rajasthan - 302012",
    "registration_number": null,
    "authorised_capital": "100000",
    "charges": [],
    "class_of_company": "Private Limited Indian Non-Government Company",
    "company_category": "Private Limited Indian Non-Government Company",
    "company_status": "Unlisted",
    "company_subcategory": "Private Limited Indian Non-Government Company",
    "date_of_balance_sheet": null,
    "date_of_incorporation": "2021-08-13",
    "date_of_last_agm": "2023-09-30",
    "directors": [
      {
        "begin_date": "2022-04-01",
        "din": "09397154",
        "end_date": null,
        "name": "RANU PAREEK"
      },
      {
        "begin_date": "2022-06-10",
        "din": "09628832",
        "end_date": null,
        "name": "PAWAN KUMAR PUROHIT"
      }
    ],
    "email_id": "kyosskjaipur@gmail.com",
    "llp_name": null,
    "llpin": null,
    "no_of_designated_partners": null,
    "no_of_partners": null,
    "number_of_members": null,
    "paid_up_capital": "100000",
    "related_companies": null,
    "roc_code": null,
    "source": "MCA",
    "whether_listed_or_not": "Unlisted"
  },
  "requested_at": "2024-04-18T11:42:00.279Z",
  "completed_at": "2024-04-18T11:42:01.000Z"
}
```

200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "2c50737a-c207-443c-9bf4-990e114adbb8",
  "status": "in_progress",
  "requested_at": "2024-04-18T11:14:57.299Z"
}
```

400: Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid CIN Number",
    "field": "cin_number",
    "code": "BAD_REQUEST"
  }
}
```

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T11:37:58.214Z",
  "completed_at": "2024-04-18T11:37:59.000Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_mca`

Query parameters description is given below:

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

200: Success Response

```json
{
  "success": true,
  "status_code": 200,
  "message": "Document verification completed successfully.",
  "status": "completed",
  "reference_id": "63446400-7d60-4345-a8a7-38b611d26cc2",
  "result": {
    "company_name": "DISCOUNT MART PRIVATE LIMITED",
    "cin": "U51504RJ2021PTC076451",
    "registered_address": "D-115, G-2, Sheetal residency, Mangalam City Hathoj Jaipur Jaipur RJ 302012 IN",
    "registration_number": "076451",
    "authorised_capital": "100000",
    "charges": [
      {
        "amount": null,
        "asset": "No Charges Exists for Company/LLP",
        "date_of_creation": null,
        "date_of_modification": null,
        "status": null
      }
    ],
    "class_of_company": "Private",
    "company_category": "Company limited by Shares",
    "company_status": "Active",
    "company_subcategory": "Non-govt company",
    "date_of_balance_sheet": "2022-03-31",
    "date_of_incorporation": "2021-08-13",
    "date_of_last_agm": "2022-09-30",
    "directors": [
      {
        "begin_date": "2022-04-01",
        "din": "09397154",
        "end_date": null,
        "name": "RANU PAREEK"
      },
      {
        "begin_date": "2022-06-10",
        "din": "09628832",
        "end_date": null,
        "name": "PAWAN KUMAR PUROHIT"
      }
    ],
    "email_id": "kyosskjaipur@gmail.com",
    "llp_name": null,
    "llpin": null,
    "no_of_designated_partners": null,
    "no_of_partners": null,
    "number_of_members": "0",
    "paid_up_capital": "100000",
    "related_companies": null,
    "roc_code": "RoC-Jaipur",
    "source": "MCA",
    "whether_listed_or_not": "Unlisted"
  },
  "requested_at": "2023-09-22T10:30:43.360Z",
  "completed_at": "2023-09-22T16:00:45+05:30"
}
```

200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "2c50737a-c207-443c-9bf4-990e114adbb8",
  "status": "in_progress",
  "requested_at": "2024-04-18T11:14:57.299Z"
}
```

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T11:37:58.214Z",
  "completed_at": "2024-04-18T11:37:59.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/cin-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
